1. Qwen
Mote API
english
  • 简体中文
  • english
  • Document Description
  • Chat
    • Openai
      • ChatCompletions Format
      • Responses Format
    • Gemini
      • Gemini Text Chat
      • Gemini Media Recognition
    • Native Claude Format
      POST
  • Images
    • Openai
      • Generate Images
      • Edit Image
    • Qwen
      • Generate Images
        POST
      • Edit Image
        POST
    • Nano Banana
      • Gemini Native Format
      • OpenAI Chat Format
  • Videos
    • Sora
      • Create Video
      • Get video task status
      • Get video content
    • Kling
      • Kling text-to-video
      • Get Kling text-to-video task status
      • Kling image-to-video
      • Get Kling image-to-video task status
    • Jimeng
      • Jimeng video generation
    • Create video generation task
      POST
    • Get video generation task status
      GET
  • Embeddings
    • Native OpenAI format
      POST
    • Native Gemini format
      POST
  • Completions
    • Native OpenAI format
      POST
  • Audio
    • Openai
      • Audio transcription
      • Audio translation
      • Text-to-speech
    • Native Gemini format
      POST
  • Realtime
    • Native OpenAI format
      GET
  • Rerank
    • Document reranking
      POST
  • Models
    • List Model
      • Native OpenAI format
      • Native Gemini format
  • Moderations
    • Native OpenAI format
  • Unimplemented
    • Fine-tuning
      • List fine-tuning tasks (not implemented)
      • Create fine-tuning task (not implemented)
      • Get fine-tuning task details (not implemented)
      • Cancel fine-tuning task (not implemented)
      • Get fine-tuning task events (not implemented)
    • Files
      • List files (not implemented)
      • Upload file (not implemented)
      • Get file info (not implemented)
      • Delete file (not implemented)
      • Get file content (not implemented)
  • Schemas
    • Schemas
      • User
      • Log
      • Model
      • Token
      • Usage
      • PageInfo
      • Channel
      • Redemption
      • ApiResponse
      • ModelsResponse
      • ErrorResponse
      • Message
      • MessageContent
      • Tool
      • ToolCall
      • GeminiModelsResponse
      • ChatCompletionResponse
      • ChatCompletionRequest
      • ChatCompletionStreamResponse
      • CompletionRequest
      • CompletionResponse
      • ResponseFormat
      • ResponsesRequest
      • ResponsesResponse
      • ResponsesStreamResponse
      • ClaudeRequest
      • ClaudeMessage
      • ClaudeResponse
      • EmbeddingRequest
      • EmbeddingResponse
      • ImageGenerationRequest
      • ImageEditRequest
      • ImageResponse
      • AudioTranscriptionRequest
      • AudioTranslationRequest
      • AudioTranscriptionResponse
      • SpeechRequest
      • RerankRequest
      • RerankResponse
      • VideoRequest
      • ModerationRequest
      • VideoResponse
      • ModerationResponse
      • VideoTaskResponse
      • GeminiRequest
      • VideoTaskMetadata
      • VideoTaskError
      • GeminiResponse
      • OpenAIVideo
      • OpenAIVideoError
  1. Qwen

Edit Image

POST
/v1/images/edits
Bailian qwen-image series image editing

Request

Authorization
or
Body Params application/json

Example
{
    "model": "qwen-image-edit-plus",
    "input": {
        "messages": [
            {
                "role": "user",
                "content": [
                    {
                        "image": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250925/fpakfo/image36.webp"
                    },
                    {
                        "text": "Generate an image compatible with depth maps following this description: A worn red bicycle parked on a muddy trail, with dense primeval forest in the background"
                    }
                ]
            }
        ]
    },
    "parameters": {
        "n": 2,
        "negative_prompt": " ",
        "prompt_extend": true,
        "watermark": false
    }

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://moteapi.com/v1/images/edits' \
--header 'Content-Type: application/json' \
--data '{
    "model": "qwen-image-edit-plus",
    "input": {
        "messages": [
            {
                "role": "user",
                "content": [
                    {
                        "image": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250925/fpakfo/image36.webp"
                    },
                    {
                        "text": "Generate an image compatible with depth maps following this description: A worn red bicycle parked on a muddy trail, with dense primeval forest in the background"
                    }
                ]
            }
        ]
    },
    "parameters": {
        "n": 2,
        "negative_prompt": " ",
        "prompt_extend": true,
        "watermark": false
    }'

Responses

🟢200Success
application/json
Image generated successfully
Bodyapplication/json

Example
{
    "created": 0,
    "data": [
        {
            "url": "string",
            "b64_json": "string",
            "revised_prompt": "string"
        }
    ]
}
Modified at 2026-07-03 06:28:45
Previous
Generate Images
Next
Gemini Native Format
Built with